freeslot(
"SPR_AMOG",
"SPR_OKUP",
"SPR_LOBY",
"SPR_AMUL",
"SPR_WORM",
"SPR_GANN",
"SPR_AKUM",
"SPR_APOM",
"SPR_SPRX",
"SPR_UKAM",
"SPR_VELO",
"SPR_EXMS",
"SPR_SCEP",
"SPR_NAVI",
"SPR_WLOP",
"SPR_BRAI",
"SPR_SDSO",
"SPR_OBLT",
"SPR_TSPB",
"SPR_WHSH",
"SPR_CDAD",
"SPR_LUNP"
)
 
local PetsToAdd = {
	
	Amogus = {
		SpriteSet = SPR_AMOG,
		Scale = 50,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Okuu = { //Sprites by にわとり☆
		SpriteSet = SPR_OKUP,
		Color = "green",
		Anims = {
			Idle = {A, B, 10},
		}
	},
	
	LilOrby = {
		SpriteSet = SPR_LOBY, 
		Color = "dusk",
		Anims = {
			Idle = {A, B, 3},
			Jump = {C, C, 2}, 
			Dead = {D, D, 1},
			Pain = {D, D, 1}, 
			Move = {A, C, 2},
		}
	},
	
	Luma = { //Sprites by Quillax
		SpriteSet = SPR_AMUL,
		Scale = 133,
		Color = "yellow",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Worm = {
		SpriteSet = SPR_WORM,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	SuaveGanon = {
		SpriteSet = SPR_GANN,
		Scale = 66,
		Anims = {
			Idle = {A, I, 2}, 
		}
	},
	
	AkuAku = {
		SpriteSet = SPR_AKUM,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	ApoApo = {
		SpriteSet = SPR_APOM,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	Sparx = {
		SpriteSet = SPR_SPRX,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	UkaUka = {
		SpriteSet = SPR_UKAM,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	Velo = {
		SpriteSet = SPR_VELO,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	Ex = {
		SpriteSet = SPR_EXMS,
		Anims = {
			Idle = {A, A, 1}, 
		}
	},
	
	Emerald = { //Sprites by retrobunyip
		SpriteSet = SPR_SCEP,
		Scale = 50,
		Color = "emerald",
		Anims = {
			Idle = {A, D, 6}, 
			Move = {A, D, 3}, 
		}
	},
	
	NAVI = {
		SpriteSet = SPR_NAVI, 
		Scale = 33,
		Color = "algae",
		Anims = {
			Idle = {A, N, 2}, 
		}
	},
	
	Wooloo = {
		SpriteSet = SPR_WLOP,
		Color = "white",
		Anims = {
			Idle = {A, A, 1}, 
			Jump = {A, D, 2}, 
			Move = {A, D, 2}, 
		}
	},
	
	Braixen = {
		SpriteSet = SPR_BRAI,
		Anims = {
			Idle = {A, F, 6},
			Jump = {W, Y, 20},
			Victory = {Q, T, 5},
			Defeat = {U, U, 1},
			Dead = {O, P, 4},
			Pain = {M, N, 2},
			Move = {G, L, 6},		
		}
	},
	
	SDSonic = {					
		SpriteSet = SPR_SDSO,		
		Anims = {				
			Idle = {A, A, 1}, 
			Move = {B, B, 1},
			Jump = {C, J, 2},
			Dead = {K, O, 2},
			Pain = {P, R, 2},
			Victory = {S, T, 1},
			Defeat = {U, X, 2},
		}
	},
	
	Orblet = {					
		SpriteSet = SPR_OBLT,	
		Color = "teal",			
		Anims = {				
			Idle = {A, A, 1}, 
		}
	},
	
	Plumbob = {					
		SpriteSet = SPR_TSPB,	
		Scale = 66,
		Color = "mint",			
		Anims = {				
			Idle = {A, H, 2}, 
		}
	},
	
	Whoosh = {					
		SpriteSet = SPR_WHSH,		
		Color = "steel",		
		Anims = {					
			Idle = {A, C, 1}, 	
			Dead = {D, F, 2}, 	
			Pain = {D, F, 2}, 	
			Defeat = {D, F, 2}, 
		}
	},
	
	ChiyoDad = {
		SpriteSet = SPR_CDAD,
		Color = "sunset",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	LunaP = {
		SpriteSet = SPR_LUNP,
		Color = "byzantium",
		Anims = {
			Idle = {A, A, 1},
			Dead = {F, H, 2},
			Pain = {F, H, 2},
			Victory = {B, E, 2},
			Defeat = {F, H, 2},
		}
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end