freeslot(
"SPR_PUFO",
"SPR_PCDA",
"SPR_PAOL",
"SPR_GLOB",
"SPR_PGOS",
"SPR_OMOC",
"SPR_GPYO",
"SPR_BPYO",
"SPR_RPYO",
"SPR_YPYO",
"SPR_PPYO",
"SPR_DNCH"
 )
 
local PetsToAdd = {

	UFO = {
		SpriteSet = SPR_PUFO,
		Color = "purple",
		Anims = {
			Idle = {A, A, 0},
			Dead = {B, G, 1},
		}
	},
	
	AudioCD = {
		SpriteSet = SPR_PCDA,
		Color = "slate",
		Anims = {
			Idle = {A, A, 0},
		}
	},
	
	AOL = {
		SpriteSet = SPR_PAOL,
		Color = "orange",
		Anims = {
			Idle = {A, A, 0},
		}
	},
	
	Globe = {
		SpriteSet = SPR_GLOB,
		Color = "green",
		Anims = {
			Idle = {A, H, 3},
		}
	},
	PacGhost = {						
		SpriteSet = SPR_PGOS,		
		Color = "red",				
		Anims = {					
			Idle = {A, B, 3},	
			Fall = {E, F, 3},	
			Jump = {C, D, 3},				
			Pain = {G, N, 1},	
			Dead = {G, N, 1},	
		}	
	},

	Omochao = {						
		SpriteSet = SPR_OMOC,		
		Color = "jawz",				
		Anims = {					
			Idle = {A, D, 2},	
		}		
	},
	
	DonChan = {						
		SpriteSet = SPR_DNCH,	
		Color = "cherry",
		Anims = {					
			Idle = {A, B, 7},	
			Pain = {C, C, 1},	
			Dead = {D, D, 1},	
		}						
	},
	
	GreenPuyo = {						
		SpriteSet = SPR_GPYO,		
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	BluePuyo = {						
		SpriteSet = SPR_BPYO,		
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	RedPuyo = {						
		SpriteSet = SPR_RPYO,		
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	PurplePuyo = {						
		SpriteSet = SPR_PPYO,		
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	YellowPuyo = {						
		SpriteSet = SPR_YPYO,		
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end